Retrieves all work order types

Request Information

URI Parameters :

None.

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

job_type
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
name

Name of the job type

string

Required

Max length: 50

sales_organization_id

Filled if specific to one organization, empty if global and can be used by all

globally unique identifier
description

Description of the job type

string

Max length: 4000

is_default

Used to auto select one object when creating a jobs

boolean
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date
code

Field used for Embedded entity (store there your ERP PK)

string

Max length: 50

archived

Used to archive job type

boolean

Response Formats

application/json, text/json

Sample:
{
  "id": "26b8186e-7bd1-4dbd-88c2-75620fc820c5",
  "name": "sample string 2",
  "sales_organization_id": "c56e6260-ef78-43f1-a101-27d52e9464f1",
  "description": "sample string 4",
  "is_default": true,
  "modified_dateutc": "2026-07-29T14:50:53.9942401+00:00",
  "code": "sample string 7",
  "archived": true
}